# List Faxes

## GET or POST Request <a href="#get-or-post-request" id="get-or-post-request"></a>

{% hint style="info" %}
<https://v1.api19.com/fax/list>
{% endhint %}

Send us a GET or POST request with your key and fax id.

This will list all outbound faxes with status and other information

<table data-header-hidden><thead><tr><th width="152.09088134765625"></th><th width="136.72723388671875"></th><th></th></tr></thead><tbody><tr><td>Argument</td><td>Required</td><td>Type</td></tr><tr><td>key</td><td>yes</td><td>api key</td></tr><tr><td>limit</td><td>no</td><td>int - how many replies</td></tr><tr><td>offset</td><td>no</td><td>int - for pagination</td></tr><tr><td>did</td><td>no</td><td>show only faxes for this number</td></tr><tr><td>date_from</td><td>no</td><td>2024-05-03 00:00:00</td></tr><tr><td>date_to</td><td>no</td><td>2024-05-06 00:00:00</td></tr><tr><td>direction</td><td>no</td><td>inbound or outbound (default both)</td></tr><tr><td>source</td><td>no</td><td>source number</td></tr><tr><td>destination</td><td>no</td><td>destination number</td></tr></tbody></table>

{% tabs %}
{% tab title="Curl Post" %}

```php
curl -X POST https://v1.api19.com/fax/list\
 -d "limit=1000" \
 -d 'key=your-key'
```

{% endtab %}

{% tab title="JSON Response" %}

```php
{
  "status": "ok",
  "data": [
    {
      "fax_id": 1234812123
      "source": "7209274255",
      "destination": "7207746293",
      "direction": "outbound",
      "send_status": "success",
      "long_status": "Success",
      "seconds": "201",
      "pages": "2"
      "send_time": "2024-05-10 04:22:24",
      "complete_time": "2024-05-10 04:22:57"
    },
    {
      "fax_id": 1234812124
      "source": "7209274255",
      "destination": "7207746293",
      "direction": "outbound",
      "send_status": "success",
      "long_status": "Success",
      "seconds": "222",
      "pages": "1"
      "send_time": "2024-05-10 04:22:24",
      "complete_time": "2024-05-10 04:22:57"
    }
  ]
}

OR

{
  "status": "error",
  "error": "invalid information"
}

OR

{
  "status": "ok",
  "data": []
}

```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.api19.com/faxing/list-faxes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
